Get All Dockets By Search Request Id
curl --request GET \
--url https://api.baselayer.com/docket_searches/{search_request_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/docket_searches/{search_request_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/docket_searches/{search_request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"search_entities": [
{
"name": "<string>",
"type": "Business",
"normalized_name": "<string>"
}
],
"state": "PENDING",
"last_updated_at": "2023-12-25",
"dockets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"docket_number": "A19284",
"court": "Supreme Court of Orange County",
"title": "Doe v. City of New York",
"is_bankruptcy": true,
"state": "CA",
"division": "Civil Court Division",
"judges": [
"Honorable Paul Shaw"
],
"case_type": "Civil",
"status": "Pending",
"bankruptcy_type": "Chapter 7",
"date_filed": "1900-01-01",
"date_closed": "2023-12-25",
"last_synced_at": "2023-11-07T05:31:56Z",
"parties": [],
"updates": [],
"match_level": "NO_MATCH",
"search_entity_name": "<string>",
"search_entity_type": "Business",
"match_confidence": {
"confidence": "high",
"name_match": "NO_MATCH",
"address_match": "STATE",
"date_match": "CONSISTENT"
},
"risk_level": "low",
"normalized_status": "open"
}
],
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_search_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Business Docket Search
Get All Dockets By Search Request Id
Fetches the most recent dockets for a given docket search request ID and returns all the associated dockets.
GET
/
docket_searches
/
{search_request_id}
Get All Dockets By Search Request Id
Authorizations
Path Parameters
The unique identifier of the docket search request to fetch all dockets for.
Example:
"f2cd0245-52e2-49bf-b20c-44d6e0be631d"
Response
Response
Represents a docket search response.
ID of the docket search request
A list of entities searched in the docket search.
Show child attributes
Show child attributes
State of the search request
Available options:
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED Date the search was last updated
A list of dockets associated with the search request.
Show child attributes
Show child attributes
ID of the business the search was performed for
ID of the person the search was performed for
ID of the business search the docket search was performed for
Any errors that occurred during the docket search request.